## org.codehaus.groovy.runtime
Class WritableFile

    java.lang.Object
      java.io.File
          org.codehaus.groovy.runtime.WritableFile

All Implemented Interfaces:
  Writable, Serializable, Comparable

    public class WritableFile

extends File
implements Writable

A Writable File.

Author:
  John Wilson
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.io.File
`pathSeparator, pathSeparatorChar, separator, separatorChar`

Constructor Summary
`WritableFile(File delegate)`
`WritableFile(File delegate, String encoding)`

Method Summary
`Writer` `writeTo(Writer out)` writes this object to the given stream

Methods inherited from class java.io.File

`canExecute, canRead, canWrite, compareTo, compareTo, createNewFile, createTempFile, createTempFile, delete, deleteOnExit, equals, exists, getAbsoluteFile, getAbsolutePath, getCanonicalFile, getCanonicalPath, getFreeSpace, getName, getParent, getParentFile, getPath, getTotalSpace, getUsableSpace, hashCode, isAbsolute, isDirectory, isFile, isHidden, lastModified, length, list, list, listFiles, listFiles, listFiles, listRoots, mkdir, mkdirs, renameTo, setExecutable, setExecutable, setLastModified, setReadable, setReadable, setReadOnly, setWritable, setWritable, toString, toURI, toURL`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WritableFile

    public WritableFile(File delegate)

### WritableFile

    public WritableFile(File delegate,
                        String encoding)

Method Detail

### writeTo

    public Writer writeTo(Writer out)
                   throws IOException

  Description copied from interface: `Writable`
  writes this object to the given stream

  Specified by:
    `writeTo` in interface `Writable`
  Throws:
    `IOException`

Copyright © 2003-2008 The Codehaus. All rights reserved.